# Generated by Django 4.0.6 on 2022-07-10 12:14

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('main', '0004_alter_recipe_ingedientsextra'),
    ]

    operations = [
        migrations.CreateModel(
            name='Porridge',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=50, verbose_name='Название рецепта')),
                ('description', models.CharField(max_length=150, verbose_name='Описание рецепта')),
                ('text', models.CharField(default='Рецепт...', max_length=150, verbose_name='Сам рецепт')),
                ('type', models.CharField(choices=[('ris', 'Рис'), ('manka', 'Манка'), ('grecha', 'Гречка'), ('multizlak', 'Мультизерновая'), ('ovsyanka', 'Овсянка'), ('perlovka', 'Перловка'), ('yachnevaya', 'Ячневая'), ('kuskus', 'Кус-кус'), ('psheno', 'Пшеная'), ('kukuruza', 'Кукуруза')], default='Вид каши...', max_length=50, verbose_name='Вид каши')),
                ('ingedientsFirst', models.CharField(choices=[('milk', 'Молоко'), ('butter', 'Масло'), ('egg', 'Яйца'), ('flour', 'Мука')], max_length=15, verbose_name='Первый ингредиент')),
                ('ingedientsSecond', models.CharField(blank=True, choices=[('milk', 'Молоко'), ('butter', 'Масло'), ('egg', 'Яйца'), ('flour', 'Мука')], max_length=15, verbose_name='Второй ингредиент')),
                ('ingedientsThrid', models.CharField(blank=True, choices=[('milk', 'Молоко'), ('butter', 'Масло'), ('egg', 'Яйца'), ('flour', 'Мука')], max_length=15, verbose_name='Третий ингредиент')),
                ('ingedientsFourth', models.CharField(blank=True, choices=[('milk', 'Молоко'), ('butter', 'Масло'), ('egg', 'Яйца'), ('flour', 'Мука')], max_length=15, verbose_name='Четвертый ингредиент')),
                ('ingedientsExtra', models.CharField(default='Ингредиенты...', max_length=150, verbose_name='Дополнительные ингридиенты')),
                ('cost', models.IntegerField(verbose_name='Цена за порцию')),
            ],
        ),
        migrations.AlterField(
            model_name='recipe',
            name='ingedientsExtra',
            field=models.CharField(default='Ингредиенты...', max_length=150, verbose_name='Дополнительные ингредиенты'),
        ),
        migrations.AlterField(
            model_name='recipe',
            name='ingedientsFirst',
            field=models.CharField(choices=[('grain', 'Крупы'), ('milk', 'Молоко'), ('butter', 'Масло'), ('egg', 'Яйца'), ('flour', 'Мука')], max_length=15, verbose_name='Первый ингредиенты'),
        ),
        migrations.AlterField(
            model_name='recipe',
            name='ingedientsFourth',
            field=models.CharField(blank=True, choices=[('grain', 'Крупы'), ('milk', 'Молоко'), ('butter', 'Масло'), ('egg', 'Яйца'), ('flour', 'Мука')], max_length=15, verbose_name='Четвертый ингредиенты'),
        ),
        migrations.AlterField(
            model_name='recipe',
            name='ingedientsSecond',
            field=models.CharField(blank=True, choices=[('grain', 'Крупы'), ('milk', 'Молоко'), ('butter', 'Масло'), ('egg', 'Яйца'), ('flour', 'Мука')], max_length=15, verbose_name='Второй ингредиенты'),
        ),
        migrations.AlterField(
            model_name='recipe',
            name='ingedientsThrid',
            field=models.CharField(blank=True, choices=[('grain', 'Крупы'), ('milk', 'Молоко'), ('butter', 'Масло'), ('egg', 'Яйца'), ('flour', 'Мука')], max_length=15, verbose_name='Третий ингредиенты'),
        ),
    ]
